Bug 207236 - Initrd console shows buffer I/O error on device
Initrd console shows buffer I/O error on device
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 00:12 EDT by Keith G. Robertson-Turner
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.6.20-1.2307.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-25 19:01:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith G. Robertson-Turner 2006-09-20 00:12:05 EDT
Description of problem:
The Initrd console, on stage 1 boot, prints the following:

buffer I/O on device /dev/sda1, logical block #xxxxxxx
(Actual numbers substituted.)

AFAIK there is no actual hardware problem, and this does not occur with earlier
versions of the kernel.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.17-1.2187_FC5

How reproducible:
Always

Steps to Reproduce:
1. Boot system.
2. 
3.
  
Actual results:
Buffer I/O error messages are printed in the initrd console.

Expected results:
There should not be an error.

Additional info:
As I've said, this did not occur in the first couple of FC5 kernel releases.
Comment 1 Keith G. Robertson-Turner 2006-09-20 00:13:49 EDT
That should say:
buffer I/O *error* on device /dev/sda1, logical block #xxxxxxx
Comment 2 Dave Jones 2006-10-16 16:24:11 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Keith G. Robertson-Turner 2007-03-24 14:11:22 EDT
This issue has been resolved by a new kernel release.

Please close this bug.

Note You need to log in before you can comment on or make changes to this bug.